#include<stdio.h>
int main()
{
	int n,i,j,max,k=0,v=0,s;
	scanf("%d",&n);
	int a[n];
	for(i = 0; i < n; i++)
	{
		scanf("%d",&a[i]);
	}
	if(n == 2)
	{
		int temp = a[0];
		a[0] = a[1];
		a[1] = temp;
	}
	else
	{
		label:
		while(k < n)
		{
			max = a[k];
			for(i = k; i < n; i++)
			{
				if(a[i]>=max)
				{
					max = a[i];
					s = i;
				}
			}
			if(max == a[k])
			{
				k++;
				v++;
				goto label;
			}
			else 
			{
				k = i-1;
				goto label1;
			}
		}
		label1:
		if(k == n)
		{
			int temp = a[n-1];
			a[n-1] = a[n-2];
			a[n-2] = temp;
		}
		else
		{
			int temp = a[v];
			a[v] = a[s];
			a[s] = temp;	
		}
	}
	for(i = 0; i < n; i++)
	{
		printf("%d ",a[i]);
	}
}